package cn.com.ty.lift.batch.applet.constants;

import java.util.HashMap;
import java.util.Map;

/**
 * @author huangyuan
 * @date 2020/2/3
 * @description 数据统计常量
 */
public class DataStatisticsConstants {

    /**
     * 急修数据字段常量
     */
    public static final String EMERGENCY_REPAIR_DATA_FIELD = "emergencyRepairData";

    /**
     * 年检数据字段常量
     */
    public static final String ANNUAL_INSPECTION_DATA_FIELD = "annualInspectionData";

    /**
     * 合同数据字段常量
     */
    public static final String CONTRACT_DATA_FIELD = "contractData";

    /**
     * 电梯数据字段常量
     */
    public static final String LIFT_DATA_FIELD = "liftData";

    /**
     * 维保数据字段常量
     */
    public static final String MAINTENANCE_DATA_FIELD = "maintenanceData";

    /**
     * 收款数据字段常量
     */
    public static final String PAYMENT_DATA_FIELD = "paymentData";

    /**
     * 电梯状态->电梯数量
     */
    public static final Map<Integer, Integer> LIFT_STATUS_TO_LIFT_NUM = new HashMap<>();

    /**
     * 电梯状态数组 1:新增 2:在保 3:丢失
     */
    public static final int [] LIFT_STATUS_ARRAY = {1,2,3};

    static{
        //初始化电梯状态对应数量
        for(int status: LIFT_STATUS_ARRAY){
            LIFT_STATUS_TO_LIFT_NUM.put(status, 0);
        }
    }
}
